<?php

return [
    /**
     * 公開サイトURL
     */
    'site_url' => '/',

    /**
     * テーマ
     */
    'theme' => 'sample',

    /**
     * ファイルコンテンツディレクトリ
     */
    'files_dir' => 'files',

    /**
     * HTMLキャッシュ
     */
    'html_cache' => 1,

    /**
     * 更新履歴保存数
     * 0を指定すると、更新履歴は保存しません。無制限を指定する方法はありません。制限をしたくない場合は十分に大きな値を指定してください。
     */
    'revision_max' => 10,

    /**
     * 下書き保存数
     * 1以上の値を指定します。0を指定しても1として扱います。
     */
    'draft_max' => 3,

    /**
     * コンテンツ編集画面のプレビューサイズ設定
     */
    'screen_size' => [
        'PC' => [
            'class' => 'fa-desktop',
            'width' => '1024px',
            'height' => '768px',
        ],
        'スマートフォン' => [
            'class' => 'fa-mobile',
            'width' => '375px',
            'height' => '667px',
        ],
        'タブレット' => [
            'class' => 'fa-tablet',
            'width' => '960px',
            'height' => '600px',
        ],
        'TV' => [
            'class' => 'fa-tv',
            'width' => '1920px',
            'height' => '1080px',
        ],
    ],

    /**
     * 曜日
     */
    'days_of_week' => ['日', '月', '火', '水', '木', '金', '土'],

    /**
     * コードエディターのモード定義
     */
    'code_editor' => [
        'modes' => [
            'twig' => ['twig'],
            'php' => ['php'],
            'htmlmixed' => ['html', 'htm'],
            'css' => ['css'],
            'javascript' => ['js'],
            'xml' => ['xml', 'svg'],
            'text/plain' => ['txt', 'htaccess'],
        ],
    ],

    /**
     * is_current 関数が出力するデフォルトのクラス名
     */
    'is_current' => 'current',

    /**
     * is_current_dir 関数が出力するデフォルトのクラス名
     */
    'is_current_dir' => 'current',

    /**
     * is_parent 関数が出力するデフォルトのクラス名
     */
    'is_parent' => 'current',
];
