<?php

return [
    /**
     * フィールド
     */
    'p' => [
        'label' => '段落',
        'inputs' => [
            'p' => [
                'label' => '段落',
                'rule' => '',
                'value' => '',
                'search' => 0,
                'attr' => [
                    'rows' => 2,
                ],
            ],
        ],
        'attr' => 1,
    ],
    'ul' => [
        'label' => '順序なしリスト',
        'inputs' => [
            'data' => [
                'label' => 'データ',
                'rule' => '',
                'value' => '',
                'format' => 'json',
                'attr' => [
                    'rows' => 2,
                ],
            ],
        ],
        'attr' => 1,
    ],
    'ol' => [
        'label' => '順序リスト',
        'inputs' => [
            'data' => [
                'label' => 'データ',
                'rule' => '',
                'value' => '',
                'format' => 'json',
                'attr' => [
                    'rows' => 2,
                ],
            ],
        ],
        'attr' => 1,
    ],
    'dl' => [
        'label' => '定義リスト',
        'inputs' => [
            'radio' => [
                'label' => '並び',
                'rule' => '',
                'value' => '',
                'options' => [
                    '' => '縦並び',
                    'horizontal' => '横並び',
                ],
            ],
            'richtext' => [
                'label' => '定義語',
                'rule' => '',
                'value' => '',
            ],
            'data' => [
                'label' => 'データ',
                'rule' => '',
                'value' => '',
                'format' => 'json',
                'attr' => [
                    'rows' => 2,
                ],
            ],
        ],
        'attr' => 1,
    ],
    'table_2' => [
        'label' => 'テーブル（2列）',
        'inputs' => [
            'data' => [
                'label' => 'データ',
                'rule' => '',
                'value' => '',
                'format' => 'json',
                'attr' => [
                    'rows' => 2,
                ],
            ],
        ],
        'attr' => 1,
    ],
    'text' => [
        'label' => 'テキスト',
        'inputs' => [
            'text' => [
                'label' => 'テキスト',
                'rule' => '',
                'value' => '',
            ],
        ],
        'preview_input' => 'text',
        'wrap_div' => 1,
    ],
    'textarea' => [
        'label' => 'テキストエリア',
        'inputs' => [
            'textarea' => [
                'label' => 'テキストエリア',
                'rule' => '',
                'value' => '',
                'attr' => [
                    'rows' => 5,
                ],
            ],
        ],
        'preview_input' => 'textarea',
        'preview_tag' => 'div',
        'wrap_div' => 1,
    ],
    'heading' => [
        'label' => '見出し',
        'inputs' => [
            'text' => [
                'label' => '見出し文',
                'rule' => '',
                'value' => '',
            ],
            'level' => [
                'label' => '見出しレベル',
                'rule' => '',
                'value' => '1',
                'options' => [
                    'h1' => '見出し１',
                    'h2' => '見出し２',
                    'h3' => '見出し３',
                    'h4' => '見出し４',
                    'h5' => '見出し５',
                    'h6' => '見出し６',
                ],
                'search' => 0,
            ],
        ],
        'attr' => 1,
    ],
    'select' => [
        'label' => 'セレクトボックス',
        'inputs' => [
            'select' => [
                'label' => 'セレクトボックス',
                'rule' => '',
                'value' => '',
                'options' => [
                ],
            ],
        ],
        'preview_input' => 'select',
    ],
    'radio' => [
        'label' => 'ラジオボタン',
        'inputs' => [
            'radio' => [
                'label' => 'ラジオボタン',
                'rule' => '',
                'value' => '',
                'options' => [
                ],
            ],
        ],
        'preview_input' => 'radio',
    ],
    'checkbox' => [
        'label' => 'チェックボックス',
        'inputs' => [
            'checkbox' => [
                'label' => 'チェックボックス',
                'rule' => '',
                'value' => '',
                'value_attr' => 'on',
            ],
        ],
        'preview_input' => 'checkbox',
    ],
    'checkboxes' => [
        'label' => 'チェックボックス（複数選択）',
        'inputs' => [
            'checkboxes' => [
                'label' => 'チェックボックス（複数選択）',
                'rule' => '',
                'value' => '',
                'options' => [
                ],
            ],
        ],
        'preview_input' => 'checkboxes',
    ],
    'image' => [
        'label' => '画像',
        'inputs' => [
            'src' => [
                'label' => '画像',
                'rule' => '',
                'value' => '',
                'search' => 0,
                'attr' => [
                    'placeholder' => 'src',
                ],
            ],
            'resize' => [
                'label' => 'リサイズ設定',
                'rule' => '',
                'value' => '',
                'search' => 0,
            ],
            'alt' => [
                'label' => '代替テキスト',
                'rule' => '',
                'value' => '',
                'attr' => [
                    'placeholder' => 'alt',
                ],
            ],
        ],
        'wrap_div' => 1,
    ],
    'richtext' => [
        'label' => 'リッチテキスト',
        'inputs' => [
            'richtext' => [
                'label' => 'リッチテキスト',
                'rule' => '',
                'value' => '',
                'attr' => [
                    'rows' => 3,
                ],
            ],
            'tag' => [
                'label' => 'タグ',
                'rule' => '',
                'value' => '',
                'options' => [
                    'p' => '段落',
                    'div' => '汎用(DIV)',
                    'h1' => '見出し１',
                    'h2' => '見出し２',
                    'h3' => '見出し３',
                    'h4' => '見出し４',
                    'h5' => '見出し５',
                    'h6' => '見出し６',
                    'blockquote' => '引用文',
                    'none' => 'なし',
                ],
                'search' => 0,
            ],
        ],
        'attr' => 1,
    ],
    'link' => [
        'label' => 'リンク',
        'inputs' => [
            'href' => [
                'label' => 'URL',
                'rule' => '',
                'value' => '',
                'search' => 0,
                'attr' => [
                    'placeholder' => 'URL',
                ],
            ],
            'text' => [
                'label' => 'リンク文字列',
                'rule' => '',
                'value' => '',
                'attr' => [
                    'placeholder' => 'リンク文字列',
                ],
            ],
        ],
        'attr' => 1,
        'wrap_div' => 1,
    ],
    'file' => [
        'label' => 'ファイル',
        'inputs' => [
            'href' => [
                'label' => 'URL',
                'rule' => '',
                'value' => '',
                'attr' => [
                    'placeholder' => 'URL',
                ],
            ],
            'filename' => [
                'label' => 'ファイル名',
                'rule' => '',
                'value' => '',
                'attr' => [
                    'placeholder' => 'ファイル名',
                ],
            ],
            'filesize' => [
                'label' => 'ファイルサイズ',
                'rule' => '',
                'value' => '',
                'attr' => [
                    'placeholder' => 'ファイルサイズ',
                ],
            ],
        ],
        'attr' => 1,
        'wrap_div' => 1,
    ],
    'url' => [
        'label' => 'URL',
        'inputs' => [
            'url' => [
                'label' => 'URL',
                'rule' => '',
                'value' => '',
                'attr' => [
                    'placeholder' => 'URL',
                ],
            ],
        ],
    ],
    'date' => [
        'label' => '日付',
        'inputs' => [
            'date' => [
                'label' => '日付',
                'rule' => '',
                'value' => '',
                'attr' => [
                    'placeholder' => '例：2020/01/01',
                ],
            ],
        ],
    ],
    'datetime' => [
        'label' => '日時',
        'inputs' => [
            'datetime' => [
                'label' => '日時',
                'rule' => '',
                'value' => '',
                'attr' => [
                    'placeholder' => '例：2020-01-01 10:20:30',
                ],
            ],
        ],
    ],
    'card' => [
        'label' => 'カード',
        'inputs' => [
            'title' => [
                'label' => 'タイトル',
                'rule' => '',
                'value' => '',
            ],
            'content' => [
                'label' => 'コンテンツ',
                'rule' => '',
                'value' => '',
            ],
        ],
        'attr' => 1,
    ],
    'html' => [
        'label' => 'HTML',
        'inputs' => [
            'code' => [
                'label' => 'HTMLソース',
                'rule' => '',
                'value' => '',
                'attr' => [
                    'rows' => 5,
                ],
            ],
        ],
        'preview_input' => 'code',
    ],
    'twig' => [
        'label' => 'テンプレート言語(Twig)',
        'inputs' => [
            'code' => [
                'label' => 'テンプレート言語(Twig)',
                'rule' => '',
                'value' => '',
                'attr' => [
                    'rows' => 5,
                ],
            ],
        ],
        'preview_input' => 'code',
        'preview_tag' => 'div',
    ],
    'number' => [
        'label' => '数値',
        'inputs' => [
            'number' => [
                'label' => '数値',
                'rule' => 'numeric',
                'value' => '',
            ],
        ],
        'preview_input' => 'number',
    ],
    'price' => [
        'label' => '価格',
        'inputs' => [
            'price' => [
                'label' => '価格',
                'rule' => 'numeric',
                'value' => '',
            ],
        ],
        'preview_input' => 'price',
        'prefix' => '',
        'suffix' => '円',
    ],
    'links' => [
        'label' => 'リンクリスト',
        'input_template' => 'content',
        'output_template' => 'links',
        'container' => 1,
        'fields' => [
            'link',
        ],
    ],
    'module' => [
        'label' => 'モジュール',
        'inputs' => [
            'type' => [
                'label' => 'モジュールタイプ',
                'rule' => '',
                'value' => '',
                'search' => 0,
            ],
        ],
        'preview_input' => 'type',
        'preview_tag' => 'div',
    ],
    'content' => [
        'label' => 'コンテンツ',
        'container' => 1,
        'fields' => [
            'richtext',
            'p',
            'heading',
            'ul',
            'ol',
            'dl',
            'textarea',
            'link',
            'file',
            'html',
            'image',
            'card',
            'table_2',
            'module',
        ],
    ],
];
