<?php

return [
    /**
     * 画像処理ライブラリ
     * 'gd' or 'imagick'
     */
    'driver' => 'gd',

    /**
     * リサイズオプション
     * 'オプション名' => ['ラベル', 幅, 高さ, 'リサイズモード']
     *
     * リサイズモード：
     *   resize  - アスペクト比固定（省略時のデフォルト）
     *   crop    - 切り取って合わせる
     *   fill    - 背景を埋めて合わせる
     *   stretch - 引き伸ばして合わせる
     */
    'options' => [
        // 管理画面で使用するため削除できません。
        'large' => [
            'label' => '大（800x600）',
            'width' => 800,
            'height' => 600,
        ],
        'medium' => [
            'label' => '中（400x300）',
            'width' => 400,
            'height' => 300,
        ],
        'small' => [
            'label' => '小（200x150）',
            'width' => 200,
            'height' => 150,
        ],
        'preview' => [
            'label' => 'プレビュー（500x500）',
            'width' => 500,
            'height' => 500,
            'mode' => 'resize',
        ],
        'thumb' => [
            'label' => 'サムネイル（100x60）',
            'width' => 100,
            'height' => 60,
            'mode' => 'resize',
        ],
    ],

    /**
     * 旧リサイズオプション
     * ファイル削除や更新時にリサイズ済みのファイルを削除するために廃止したオプションを記述する
     */
    'old_options' => [
    ],

    /**
     * 画像選択・プレビュー対応拡張子
     * ここで指定した拡張子のファイルは、コンテンツ編集画面の画像選択メニューに表示したり、ファイルマネージャでサムネイル・プレビュー表示
     * に対応します。
     */
    'extensions' => [
        'jpeg',
        'jpg',
        'png',
        'gif',
        'webp',
        'svg',
    ],

    /**
     * リサイズ対応拡張子
     */
    'resize' => [
        'jpeg',
        'jpg',
        'png',
        'gif',
        'webp',
    ],
];
