<?php
/**
 * MicroEngine CMS
 * https://microengine.jp
 *
 * (c) 2018 MicroEngine Inc.
 */

namespace MicroEngine\Admin\Middleware;

use Slim\Psr7\Response;
use MicroEngine\Admin\Auth\Auth;
use MicroEngine\Core\Middleware\Middleware;
use Psr\Http\Message\ServerRequestInterface;
use Psr\Http\Message\ServerRequestInterface as Request;
use Psr\Http\Server\RequestHandlerInterface as RequestHandler;

class AuthMiddleware extends Middleware
{
    /**
     * @param ServerRequestInterface $request
     * @param RequestHandler $handler
     * @return Response
     */
    public function __invoke(Request $request, RequestHandler $handler): Response
    {
        global $app;

        /* @var Auth $auth */
        $auth = $this->c->get('auth');
        if (!$auth->authenticated()) {
            if ($request->getMethod() === 'GET') {
                $auth->setRequestedPath($request->getUri()->getPath());
            }
            $response = new Response();
            $routeParser = $app->getRouteCollector()->getRouteParser();
            return $response
                ->withHeader('location', $routeParser->urlFor(Auth::LOGIN_ROUTE))
                ->withStatus(302);
        }
        return $handler->handle($request);
    }
}
