<?php
/**
 * MicroEngine CMS
 * https://microengine.jp
 *
 * (c) 2018 MicroEngine Inc.
 */

namespace MicroEngine\Cms\Controllers;

use Twig\Error\LoaderError;
use Twig\Error\SyntaxError;
use Twig\Error\RuntimeError;
use MicroEngine\Cms\Forms\FieldForm;
use Psr\Http\Message\ResponseInterface;
use Psr\Http\Message\ServerRequestInterface;
use MicroEngine\Core\Controllers\Controller;

class FieldController extends Controller
{
    /**
     * @param ServerRequestInterface $request
     * @param ResponseInterface $response
     * @param array $args
     * @return ResponseInterface
     * @throws LoaderError
     * @throws RuntimeError
     * @throws SyntaxError
     */
    public function field(ServerRequestInterface $request, ResponseInterface $response, array $args): ResponseInterface
    {
        $name = $args['name'];
        $index = $args['index'];
        $fieldName = $parentField = $args['parentField'];
        $fields = fields_config();
        $field = $fields[$name];
        $this->c->get('site')->setData($name, $parentField, $index);
        $form = new FieldForm($this->c);
        $form->setFields($field);
        $templatePath = $this->c->get('contentService')->inputTemplatePath($name, $field);

        return $this->view->render(
            $response,
            $templatePath,
            compact('fieldName', 'field', 'form')
        );
    }
}
