<?php
/**
 * MicroEngine CMS
 * https://microengine.jp
 *
 * (c) 2018 MicroEngine Inc.
 */

namespace MicroEngine\Cms\Services;

use Psr\Container\ContainerInterface;

class Import
{
    /**
     * @var ContainerInterface
     */
    protected $c;

    /**
     * @param ContainerInterface $c
     */
    public function __construct(ContainerInterface $c)
    {
        $this->c = $c;
    }

    /**
     * インポート
     * @param array $data
     * @return int 作成数
     */
    public function import(array $data): int
    {
        $created = 0;
        $services = [
            'category' => 'categoryManager',
            'page' => 'pageManager',
            'collection' => 'collectionManager',
            'calendar' => 'calendarManager',
            'table' => 'tableManager',
        ];

        foreach ($data as $serviceKey => $rows) {
            $serviceClass = $services[$serviceKey];
            $service = $this->c->get($serviceClass);
            $created += $service->bulkCreate($rows);
        }
        return $created;
    }
}
