<?php
/**
 * MicroEngine CMS
 * https://microengine.jp
 *
 * (c) 2018 MicroEngine Inc.
 */

namespace MicroEngine\Core\Log;

use Psr\Container\ContainerInterface;

/**
 * ログにユーザー情報を出力する
 *
 * @package MicroEngine\Core\Log
 */
class UserProcessor
{
    /**
     * @var ContainerInterface
     */
    protected $c;

    /**
     * @param ContainerInterface $c
     */
    public function __construct(ContainerInterface $c)
    {
        $this->c = $c;
    }

    /**
     * @param array $records
     * @return array
     */
    public function __invoke(array $records): array
    {
        $auth = $this->c->get('auth');

        // ログインしていることを確認する
        if (!$auth->authenticated()) {
            return $records;
        }
        $user = $auth->getUser();
        $records['extra']['user'] = $user->login_id;

        return $records;
    }
}
