<?php
/**
 * MicroEngine CMS
 * https://microengine.jp
 *
 * (c) 2019 MicroEngine Inc.
 */

namespace MicroEngine\Core\Middleware;

use Slim\Psr7\Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use Psr\Http\Server\RequestHandlerInterface as RequestHandler;


/**
 * ヘッダー追加
 * セキュリティ関連ヘッダーを追加する
 */
class HeaderMiddleware extends Middleware
{
    /**
     * @param Request $request
     * @param RequestHandler $handler
     * @return Response
     */
    public function __invoke(Request $request, RequestHandler $handler): Response
    {
        $response = $handler->handle($request);

        // セキュリティ関連ヘッダーを追加
        $newResponse = $response
            ->withHeader('X-Content-Type-Options', 'nosniff')
            ->withHeader('X-Frame-Options', 'SAMEORIGIN')
            ->withHeader('X-XSS-Protection', '1; mode=block');

        return $response;
    }
}
