<?php
/**
 * MicroEngine CMS
 * https://microengine.jp
 *
 * (c) 2018 MicroEngine Inc.
 */

namespace MicroEngine\Core\Validation;

use Rakit\Validation\Rule;

class Filename extends Rule
{
    /**
     * @var string
     */
    protected $message = ':attributeは半角英数字と一部の記号（-_.）のみで指定してください。';

    /**
     * @param mixed $value
     * @return bool
     */
    public function check($value): bool
    {
        return preg_match('/\A[a-zA-Z0-9-_.]+\z/u', $value) > 0;
    }
}
