<?php
/**
 * MicroEngine CMS
 * https://microengine.jp
 *
 * (c) 2018 MicroEngine Inc.
 */

namespace MicroEngine\Install\Forms;

use MicroEngine\Core\Forms\Form;
use Psr\Container\ContainerInterface;

class UserRegisterForm extends Form
{
    /**
     * @var ContainerInterface
     */
    protected $c;
    /**
     * @var array
     */
    protected $inputs = [
        'login_id' => [
            'label' => 'ログインID',
            'value' => '',
            'rule' => 'required|between:2,32',
        ],
        'password' => [
            'label' => 'パスワード',
            'value' => '',
            'rule' => 'required|between:6,128',
        ],
        'name' => [
            'label' => '名前',
            'value' => '',
            'rule' => 'required|max_chars:128',
        ],
        'email' => [
            'label' => 'メールアドレス',
            'value' => '',
            'rule' => 'email|max_chars:256',
        ],
        'sample' => [
            'label' => 'サンプルデータ',
            'value' => '',
            'rule' => '',
        ],
    ];

    /**
     * @param ContainerInterface $c
     */
    public function __construct(ContainerInterface $c)
    {
        $this->c = $c;
    }
}
