<?php
/**
 * MicroEngine CMS
 * https://microengine.jp
 *
 * (c) 2018 MicroEngine Inc.
 */

namespace MicroEngine\Install;

use Psr\Container\ContainerInterface;
use MicroEngine\Core\Support\ServiceProvider;
use MicroEngine\Install\Services\{
    InstallService, UpgradeService
};
use MicroEngine\Install\Controllers\{
    UpgradeController, InstallController
};

class InstallServiceProvider extends ServiceProvider
{
    /**
     * サービス登録
     */
    public function register()
    {
        $c = $this->c;

        $c->set('installService', function (ContainerInterface $c) {
            return new InstallService($c);
        });
        $c->set('upgradeService', function (ContainerInterface $c) {
            return new UpgradeService($c);
        });
        $c->set('installController', function () {
            return new InstallController($this->app);
        });
        $c->set('upgradeController', function () {
            return new UpgradeController($this->app);
        });
    }

    /**
     * サービス起動
     */
    public function boot()
    {
        // ルートを登録
        $route = new InstallRoute();
        $route->register($this->app);
    }
}
