<?php
/**
 * MicroEngine CMS
 * https://microengine.jp
 *
 * (c) 2018 MicroEngine Inc.
 */

namespace MicroEngine\Install\Middleware;

use Slim\Psr7\Response;
use MicroEngine\Core\Middleware\Middleware;
use MicroEngine\Core\Exception\MeException;
use Psr\Http\Message\ServerRequestInterface;
use MicroEngine\Install\Services\InstallService;
use Psr\Http\Message\ServerRequestInterface as Request;
use Psr\Http\Server\RequestHandlerInterface as RequestHandler;

class InstalledMiddleware extends Middleware
{
    /**
     * @param ServerRequestInterface $request
     * @param RequestHandler $handler
     * @return Response
     * @throws MeException
     */
    public function __invoke(Request $request, RequestHandler $handler): Response
    {
        /** @var InstallService $installService */
        $installService = $this->c->get('installService');

        if ($installService->installed()) {
            throw new MeException('インストール済みのためインストーラーは実行できません。');
        }
        return $handler->handle($request);
    }
}
