<?php
/**
 * MicroEngine CMS
 * https://microengine.jp
 *
 * (c) 2018 MicroEngine Inc.
 */

namespace MicroEngine\Install\Middleware;

use Slim\Psr7\Response;
use MicroEngine\Core\Middleware\Middleware;
use Psr\Http\Message\ServerRequestInterface;
use MicroEngine\Install\Services\UpgradeService;
use Psr\Http\Message\ServerRequestInterface as Request;
use Psr\Http\Server\RequestHandlerInterface as RequestHandler;

class SchemaVersionMiddleware extends Middleware
{
    /**
     * @param ServerRequestInterface $request
     * @param RequestHandler $handler
     * @return Response
     */
    public function __invoke(Request $request, RequestHandler $handler): Response
    {
        $response = $handler->handle($request);

        /* @var UpgradeService $upgrade */
        $upgrade = $this->c->get('upgradeService');
        if ($upgrade->needsUpgrade()) {
            return $this->c->get('view')->render(
                $response,
                'install/views/base/maint.twig'
            );
        }
        return $response;
    }
}
