<?php
/**
 * MicroEngine CMS
 * https://microengine.jp
 *
 * (c) 2018 MicroEngine Inc.
 */

$today = date('Y-m-d');
$currentDt = date('Y-m-d H:i:s');

return [
    'category' => [
        [
            'parent_dir' => '/',
            'name' => '会社情報',
            'dir' => '/company/',
            'display_order' => 20,
        ],
        [
            'parent_dir' => '/company/',
            'name' => 'スタッフ',
            'dir' => '/company/staff/',
            'display_order' => 10,
        ],
        [
            'parent_dir' => '/',
            'name' => '製品',
            'dir' => '/products/',
            'display_order' => 10,
        ],
        [
            'parent_dir' => '/products/',
            'name' => '製品詳細',
            'dir' => '/products/item/',
            'display_order' => 10,
        ],
        [
            'parent_dir' => '/',
            'name' => '店舗',
            'dir' => '/store/',
            'display_order' => 30,
        ],
        [
            'parent_dir' => '/',
            'name' => 'イベント',
            'dir' => '/event/',
            'display_order' => 40,
        ],
        [
            'parent_dir' => '/',
            'name' => 'お知らせ',
            'dir' => '/information/',
            'display_order' => 50,
        ],
        [
            'parent_dir' => '/information/',
            'name' => 'お知らせ記事',
            'dir' => '/information/article/',
            'display_order' => 10,
        ],
        [
            'parent_dir' => '/',
            'name' => 'サイトマップ',
            'dir' => '/sitemap/',
            'display_order' => 100,
        ],
    ],
    'page' => [
        [
            'category_dir' => '/',
            'type' => 'home',
            'filename' => 'index',
            'name' => 'ホーム',
            'fields' => '{"html_title":{"text":"\u5275\u696d100\u5e74\u306e\u4fe1\u983c\u3068\u5b9f\u7e3e"},"main_title":{"text":"There is always light behind the clouds."},"main_lead":{"textarea":""},"main_image":{"src":"","resize":"","alt":""},"left_image":{"src":"\/themes\/sample\/assets\/images\/sample_pc.svg","resize":"","alt":""},"left_textarea":{"textarea":""},"left_link":{"href":"\/products\/item\/cms.html","text":"CMS"},"right_image":{"src":"\/themes\/sample\/assets\/images\/sample_pc.svg","resize":"","alt":""},"right_textarea":{"textarea":""},"right_link":{"href":"\/products\/item\/mailform.html","text":"\u30e1\u30fc\u30eb\u30d5\u30a9\u30fc\u30e0"},"content":[{"module":{"type":"business_day_calendar"}}]}',
            'display_order' => 10,
        ],
        [
            'category_dir' => '/company/',
            'type' => 'page',
            'filename' => 'staff',
            'name' => 'スタッフ情報',
            'fields' => '{"html_title":{"text":""},"content":[{"module":{"type":"staff"}}]}',
            'display_order' => 20,
        ],
        [
            'category_dir' => '/products/',
            'type' => 'product_list',
            'filename' => 'list',
            'name' => '製品一覧',
            'fields' => '[]',
            'display_order' => 20,
        ],
        [
            'category_dir' => '/products/',
            'type' => 'product_index',
            'filename' => 'index',
            'name' => '製品情報',
            'fields' => '[]',
            'display_order' => 10,
        ],
        [
            'category_dir' => '/products/',
            'type' => 'product_search',
            'filename' => 'search',
            'name' => '製品検索',
            'fields' => '[]',
            'display_order' => 30,
        ],
        [
            'category_dir' => '/store/',
            'type' => 'page',
            'filename' => 'index',
            'name' => '店舗情報',
            'fields' => '{"html_title":{"text":""},"content":[{"module":{"type":"store_list"}}]}',
            'display_order' => 10,
        ],
        [
            'category_dir' => '/store/',
            'type' => 'store_search',
            'filename' => 'search',
            'name' => '店舗検索',
            'fields' => '[]',
            'display_order' => 30,
        ],
        [
            'category_dir' => '/information/article/',
            'type' => 'info_article',
            'filename' => 'item_1',
            'name' => 'Webサイトを公開しました。',
            'sitemap' => 0,
            'fields' => '{"info_type":{"radio":"news"},"info_link":{"href":"","text":""},"link_to_article":{"radio":"yes"},"content":[{"textarea":{"textarea":"\u30b5\u30f3\u30d7\u30eb\u682a\u5f0f\u4f1a\u793e\u306e\u516c\u5f0f\u30b5\u30a4\u30c8\u3092\u516c\u958b\u3057\u307e\u3057\u305f\u3002"}}]}',
            'date' => $today,
            'display_order' => 10,
        ],
        [
            'category_dir' => '/information/',
            'type' => 'info_archive',
            'filename' => 'index',
            'name' => 'お知らせ',
            'fields' => '',
            'display_order' => 10,
        ],
        [
            'category_dir' => '/event/',
            'type' => 'event_calendar',
            'filename' => 'index',
            'name' => 'イベント',
            'fields' => '',
            'display_order' => 10,
        ],
        [
            'category_dir' => '/company/',
            'type' => 'page',
            'filename' => 'index',
            'name' => '会社情報',
            'fields' => '{"html_title":{"text":""},"content":[{"heading":{"text":"\u203b\u67b6\u7a7a\u306e\u4f1a\u793e\u60c5\u5831\u3067\u3059\u3002","level":"h3"}},{"table_2":{"data":[{"col1":"\u793e\u540d<br>","col2":"\u30b5\u30f3\u30d7\u30eb\u682a\u5f0f\u4f1a\u793e<br>"},{"col1":"\u6240\u5728\u5730<br>","col2":"\u3012100-0001<br>\u6771\u4eac\u90fd\u5343\u4ee3\u7530\u533a\u5343\u4ee3\u7530x-x-x<br>"},{"col1":"\u9023\u7d61\u5148<br>","col2":"E-mail : info@example.com<br>Tel : 03-xxxx-xxxx<br>"},{"col1":"\u4ee3\u8868\u53d6\u7de0\u5f79<br>","col2":"\u5c71\u7530 \u592a\u90ce<br>"},{"col1":"\u8cc7\u672c\u91d1<br>","col2":"1,000\u4e07\u5186<br>"},{"col1":"\u4e8b\u696d\u5185\u5bb9<br>","col2":"\u30b5\u30f3\u30d7\u30eb\u88fd\u54c1\u306e\u4f01\u753b\u3001\u8a2d\u8a08\u3001\u958b\u767a\u3001\u8ca9\u58f2\u3001\u4fdd\u5b88\u4e26\u3073\u306b\u30b5\u30dd\u30fc\u30c8\u696d\u52d9<br>"}]}}]}',
            'display_order' => 10,
        ],
        [
            'category_dir' => '/products/item/',
            'type' => 'product_item',
            'filename' => 'cms',
            'name' => 'MicroEngine CMS',
            'fields' => '{"recommend":{"number":"10"},"image":{"src":"\/themes\/sample\/assets\/images\/sample_pc.svg","resize":"","alt":"CMS"},"description":{"textarea":"\u65b0\u3057\u3044CMS\u3067\u3059\u3002"},"spec":{"textarea":""},"price":{"price":"1234567"}}',
            'display_order' => 10,
        ],
        [
            'category_dir' => '/products/item/',
            'type' => 'product_item',
            'filename' => 'mailform',
            'name' => 'MicroEngine メールフォーム',
            'fields' => '{"recommend":{"number":"20"},"image":{"src":"\/themes\/sample\/assets\/images\/sample_pc.svg","resize":"","alt":"\u30e1\u30fc\u30eb\u30d5\u30a9\u30fc\u30e0"},"description":{"textarea":"\u6dfb\u4ed8\u30d5\u30a1\u30a4\u30eb\u5bfe\u5fdc\u30fb\u6599\u91d1\u8a08\u7b97\u6a5f\u80fd\u30fb\u90f5\u4fbf\u756a\u53f7\u304b\u3089\u4f4f\u6240\u3092\u81ea\u52d5\u5165\u529b\u3067\u304d\u308b\u6a5f\u80fd\u3092\u5099\u3048\u305fPHP\u30e1\u30fc\u30eb\u30d5\u30a9\u30fc\u30e0\u3067\u3059\u3002\r\n\u304a\u554f\u3044\u5408\u308f\u305b\u30d5\u30a9\u30fc\u30e0\u3084\u30a2\u30f3\u30b1\u30fc\u30c8\u30fb\u304a\u7533\u3057\u8fbc\u307f\u30fb\u3054\u4e88\u7d04\u30fb\u3054\u6ce8\u6587\u30d5\u30a9\u30fc\u30e0\u306a\u3069\u3067\u3054\u5229\u7528\u9802\u3051\u307e\u3059\u3002"},"spec":{"textarea":""},"price":{"price":"10800"}}',
            'display_order' => 20,
        ],
        [
            'category_dir' => '/products/item/',
            'type' => 'product_item',
            'filename' => 'orderform',
            'name' => 'MicroEngine 注文フォーム',
            'fields' => '{"recommend":{"number":"20"},"image":{"src":"\/themes\/sample\/assets\/images\/sample_pc.svg","resize":"","alt":"\u30e1\u30fc\u30eb\u30d5\u30a9\u30fc\u30e0"},"description":{"textarea":"\u6dfb\u4ed8\u30d5\u30a1\u30a4\u30eb\u5bfe\u5fdc\u30fb\u6599\u91d1\u8a08\u7b97\u6a5f\u80fd\u30fb\u90f5\u4fbf\u756a\u53f7\u304b\u3089\u4f4f\u6240\u3092\u81ea\u52d5\u5165\u529b\u3067\u304d\u308b\u6a5f\u80fd\u3092\u5099\u3048\u305fPHP\u30e1\u30fc\u30eb\u30d5\u30a9\u30fc\u30e0\u3067\u3059\u3002\r\n\u304a\u554f\u3044\u5408\u308f\u305b\u30d5\u30a9\u30fc\u30e0\u3084\u30a2\u30f3\u30b1\u30fc\u30c8\u30fb\u304a\u7533\u3057\u8fbc\u307f\u30fb\u3054\u4e88\u7d04\u30fb\u3054\u6ce8\u6587\u30d5\u30a9\u30fc\u30e0\u306a\u3069\u3067\u3054\u5229\u7528\u9802\u3051\u307e\u3059\u3002"},"spec":{"textarea":""},"price":{"price":"54000"}}',
            'display_order' => 20,
        ],
        [
            'category_dir' => '/sitemap/',
            'type' => 'page',
            'filename' => 'index',
            'name' => 'サイトマップ',
            'sitemap' => 0,
            'fields' => '{"html_title":{"text":""},"content":[{"module":{"type":"sitemap"}}]}',
            'display_order' => 100,
        ],
    ],
    'collection' => [
        [
            'type' => 'store',
            'name' => '札幌店',
            'fields' => '{"store_code":{"text":"sapporo"},"pref":{"select":"01"},"address":{"textarea":"\u672d\u5e4c\u5e02\u4e2d\u592e\u533a\u53173\u6761\u897f6\u4e01\u76ee"},"tel":{"text":"0120-xxx-xxx"},"hours":{"textarea":"9:00\uff5e21:00"},"information":{"textarea":"\u9053\u306e\u82b1\uff1a\u30cf\u30de\u30ca\u30b9"}}',
            'display_order' => 10,
        ],
        [
            'type' => 'store',
            'name' => '宇都宮店',
            'fields' => '{"store_code":{"text":"utunomiya"},"pref":{"select":"09"},"address":{"textarea":"\u5b87\u90fd\u5bae\u5e02\u5859\u75301-1-20"},"tel":{"text":"0120-xxx-xxx"},"hours":{"textarea":"9:00\uff5e21:00"},"information":{"textarea":"\u770c\u306e\u82b1\uff1a\u30e4\u30b7\u30aa\u30c4\u30c4\u30b8"}}',
            'display_order' => 10,
        ],
        [
            'type' => 'store',
            'name' => '水戸店',
            'fields' => '{"store_code":{"text":"mito"},"pref":{"select":"08"},"address":{"textarea":"\u6c34\u6238\u5e02\u7b20\u539f\u753a978\u756a6"},"tel":{"text":"0120-xxx-xxx"},"hours":{"textarea":"9:00\uff5e21:00"},"information":{"textarea":"\u770c\u306e\u82b1\uff1a\u30d0\u30e9"}}',
            'display_order' => 10,
        ],
        [
            'type' => 'store',
            'name' => '栃木店',
            'fields' => '{"store_code":{"text":"tochigi"},"pref":{"select":"09"},"address":{"textarea":"\u6803\u6728\u770c\u6803\u6728\u5e02x-x-x"},"tel":{"text":"0120-xxx-xxx"},"hours":{"textarea":"9:00\uff5e21:00"},"information":{"textarea":"\u5e02\u306e\u82b1\uff1a\u30a2\u30b8\u30b5\u30a4"}}',
            'display_order' => 20,
        ],
        [
            'type' => 'store',
            'name' => '横浜店',
            'fields' => '{"store_code":{"text":"yokohama"},"pref":{"select":"14"},"address":{"textarea":"\u6a2a\u6d5c\u5e02\u4e2d\u533a\u65e5\u672c\u5927\u901a1"},"tel":{"text":"0120-xxx-xxx"},"hours":{"textarea":"8:00\uff5e21:00"},"information":{"textarea":"\u770c\u306e\u82b1\uff1a\u30e4\u30de\u30e6\u30ea"}}',
            'display_order' => 10,
        ],
        [
            'type' => 'store',
            'name' => '長野店',
            'fields' => '{"store_code":{"text":"nagano"},"pref":{"select":"20"},"address":{"textarea":"\u9577\u91ce\u5e02\u5927\u5b57\u5357\u9577\u91ce\u5b57\u5e45\u4e0b692-2"},"tel":{"text":"0120-xxx-xxx"},"hours":{"textarea":"9:00\uff5e22:00"},"information":{"textarea":"\u770c\u306e\u82b1\uff1a\u30ea\u30f3\u30c9\u30a6"}}',
            'display_order' => 10,
        ],
        [
            'type' => 'store',
            'name' => '大阪店',
            'fields' => '{"store_code":{"text":"osaka"},"pref":{"select":"27"},"address":{"textarea":"\u5927\u962a\u5e02\u4e2d\u592e\u533a\u5927\u624b\u524d2\u4e01\u76ee"},"tel":{"text":"0120-xxx-xxx"},"hours":{"textarea":"10:00\uff5e18:00"},"information":{"textarea":"\u5e9c\u306e\u82b1\uff1a\u30a6\u30e1\u3001\u30b5\u30af\u30e9\u30bd\u30a6"}}',
            'display_order' => 10,
        ],
    ],
    'calendar' => [
        [
            'type' => 'event',
            'date' => '2018-09-01',
            'fields' => '{"holiday":{"checkbox":"\u4f11\u696d\u65e5"}}',
        ],
        [
            'type' => 'event',
            'date' => '2018-10-01',
            'fields' => '{"holiday":{"checkbox":"\u4f11\u696d\u65e5"}}',
        ],
        [
            'type' => 'event',
            'date' => '2018-11-01',
            'fields' => '{"holiday":{"checkbox":"\u4f11\u696d\u65e5"}}',
        ],
        [
            'type' => 'event',
            'date' => '2018-12-01',
            'fields' => '{"holiday":{"checkbox":"\u4f11\u696d\u65e5"}}',
        ],
        [
            'type' => 'event',
            'date' => '2019-01-01',
            'fields' => '{"holiday":{"checkbox":"\u4f11\u696d\u65e5"}}',
        ],
        [
            'type' => 'event',
            'date' => '2019-02-01',
            'fields' => '{"holiday":{"checkbox":"\u4f11\u696d\u65e5"}}',
        ],
    ],
    'table' => [
        [
            'data_type' => 'matrix',
            'type' => 'staff',
            'data' => '[{"name":"\u5c71\u7530 \u592a\u90ce","organization":"\u6771\u4eac\u672c\u793e","job":"\u5f79\u54e1","greeting":""},{"name":"\u7530\u4e2d \u82b1\u5b50","organization":"\u6771\u4eac\u672c\u793e","job":"\u55b6\u696d","greeting":""}]',
        ],
        [
            'data_type' => 'hash',
            'type' => 'pref_code',
            'data' => '{"01":"\u5317\u6d77\u9053","02":"\u9752\u68ee\u770c","03":"\u5ca9\u624b\u770c","04":"\u5bae\u57ce\u770c","05":"\u79cb\u7530\u770c","06":"\u5c71\u5f62\u770c","07":"\u798f\u5cf6\u770c","08":"\u8328\u57ce\u770c","09":"\u6803\u6728\u770c","10":"\u7fa4\u99ac\u770c","11":"\u57fc\u7389\u770c","12":"\u5343\u8449\u770c","13":"\u6771\u4eac\u90fd","14":"\u795e\u5948\u5ddd\u770c","15":"\u65b0\u6f5f\u770c","16":"\u5bcc\u5c71\u770c","17":"\u77f3\u5ddd\u770c","18":"\u798f\u4e95\u770c","19":"\u5c71\u68a8\u770c","20":"\u9577\u91ce\u770c","21":"\u5c90\u961c\u770c","22":"\u9759\u5ca1\u770c","23":"\u611b\u77e5\u770c","24":"\u4e09\u91cd\u770c","25":"\u6ecb\u8cc0\u770c","26":"\u4eac\u90fd\u5e9c","27":"\u5927\u962a\u5e9c","28":"\u5175\u5eab\u770c","29":"\u5948\u826f\u770c","30":"\u548c\u6b4c\u5c71\u770c","31":"\u9ce5\u53d6\u770c","32":"\u5cf6\u6839\u770c","33":"\u5ca1\u5c71\u770c","34":"\u5e83\u5cf6\u770c","35":"\u5c71\u53e3\u770c","36":"\u5fb3\u5cf6\u770c","37":"\u9999\u5ddd\u770c","38":"\u611b\u5a9b\u770c","39":"\u9ad8\u77e5\u770c","40":"\u798f\u5ca1\u770c","41":"\u4f50\u8cc0\u770c","42":"\u9577\u5d0e\u770c","43":"\u718a\u672c\u770c","44":"\u5927\u5206\u770c","45":"\u5bae\u5d0e\u770c","46":"\u9e7f\u5150\u5cf6\u770c","47":"\u6c96\u7e04\u770c"}',
        ],
    ],
];
