<?php
/**
 * MicroEngine CMS
 * https://microengine.jp
 *
 * (c) 2018 MicroEngine Inc.
 */

namespace MicroEngine\Site\Controllers;

use Psr\Http\Message\ResponseInterface;
use MicroEngine\Core\Controllers\Action;
use Psr\Http\Message\ServerRequestInterface;
use MicroEngine\Core\Exception\CustomNotFoundException;

class FilesAction extends Action
{
    /**
     * @param ServerRequestInterface $request
     * @param ResponseInterface $response
     * @param array $args
     * @return ResponseInterface
     * @throws CustomNotFoundException
     */
    public function __invoke(ServerRequestInterface $request, ResponseInterface $response, array $args): ResponseInterface
    {
        $path = $args['path'];
        $ImageUtility = $this->c->get('imageUtility');
        $image = $ImageUtility->onTheFly($path);

        if ($image) {
            $newResponse = $response->withBody($image->stream());

            return $newResponse->withHeader('Content-Type', $image->mime());
        } else {
            throw new CustomNotFoundException($request);
        }
    }
}
