<?php
/**
 * MicroEngine CMS
 * https://microengine.jp
 *
 * (c) 2018 MicroEngine Inc.
 */

namespace MicroEngine\Site\Middleware;

use Slim\Psr7\Response;
use MicroEngine\Core\Middleware\Middleware;
use Psr\Http\Message\ServerRequestInterface;
use Psr\Http\Message\ServerRequestInterface as Request;
use Psr\Http\Server\RequestHandlerInterface as RequestHandler;

class EditLinkMiddleware extends Middleware
{
    /**
     * @param ServerRequestInterface $request
     * @param RequestHandler $handler
     * @return Response
     */
    public function __invoke(Request $request, RequestHandler $handler): Response
    {
        $response = $handler->handle($request);

        // ログインしている場合は、ページ編集画面へのリンクを挿入する
        if ($this->c->get('auth')->authenticated()) {
            $body = $response->getBody();
            $pageId = $this->c->get('site')->getId();
            if ($body->isWritable() && $pageId) {
                $editLink = $this->c->get('view')->fetch('cms/views/partials/editLink.twig', compact('pageId'));
                $editLink .= "</body>";

                $body->rewind();
                $html = $body->getContents();
                $html = str_ireplace('</body>', $editLink, $html);
                $body->rewind();
                $body->write($html);
            }
        }
        return $response;
    }
}
