/*!
 * MicroEngine CMS
 * https://microengine.jp
 *
 * (c) 2018 MicroEngine Inc.
 */

(function ($, window) {
  'use strict';

  var mecms = {
    themesPrefix: null,
    init: function (themesPrefix) {
      var self = this;

      self.themesPrefix = themesPrefix;
      self.sidebarToggle();
      $('[data-toggle="tooltip"]').tooltip();
    },
    sidebarToggle: function () {
      $('a.sidebar-toggle').on('click', function () {
        if (window.matchMedia('(min-width:768px)').matches) {
          $('.content').toggleClass('sidebar-close');
        } else {
          $('.content').toggleClass('sidebar-mobile-show');
        }
      });
    },
    datePicker: function () {
      $.datetimepicker.setLocale('ja');
      $('[data-datepicker="datetime"]').datetimepicker({
        format: 'Y-m-d H:i:s'
      }).unmousewheel();
      $('[data-datepicker="date"]').datetimepicker({
        format: 'Y-m-d',
        timepicker: false
      }).unmousewheel();
    },
    scrollToTop: function (id) {
      var $target = $('#' + id);
      $target.scrollTop(0);
    },
    scrollToBottom: function (id) {
      var $target = $('#' + id);
      $target.scrollTop($target[0].scrollHeight - $target.height());
    }
  };

  window.mecms = mecms;
})(jQuery, window);
